Subject: bug#50352: [feature/pgtk] Some menu items are blank when using global menu

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Aug 2022 22:07:32 +0200

Chen Zhenge <[email-masked]> writes:

> I tried out the pgtk branch recently. It has some issues with my
> global menu widget. Specifically, When a new menu is created, some of
> its items are blank in the global menu.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure what a "global menu widget" is -- is it something that
exists in KDE?

> Below are steps to reproduce the problem:
>
> - Add a global menu widget. In my case I'm using
>   xfce4-appmenu-plugin. Note that KDE's global menu widget seems to
>  have its own bugs.
>
> - gsettings set org.appmenu.gtk-module whitelist '["emacs"]'
>
> - emacs -Q
>
> - Open an elisp file
>
> - Open the Emacs-Lisp menu, the first three items are blank

Do you still see this behaviour in Emacs 29?